/* header styles */
header {
  position: relative;
  z-index: 1;
}

.topheader {
  background-color: var(--primary);
  padding-block: 10px;
}

.topheader :is(p, a, address) {
  font-family: var(--font-ui);
  font-size: 16px;
  font-weight: 600;
  line-height: 19px;
  letter-spacing: 0px;
  color: var(--white);
}

.top-left-info p,
.top-left-info a {
  display: inline-flex;
  margin-bottom: 0;
}

.top-left-info {
  display: inline-flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.topheader p:not(:last-of-type) {
  margin-right: 15px;
  padding-right: 15px;
  border-right: 1px solid var(--white);
}

.topheader :is(p, a, address) img {
  margin-right: 10px;
}

.header-socail-links a i {
  font-size: 18px;
  color: var(--white);
  transition: all 0.3s linear;
  -webkit-transition: all 0.3s linear;
  -o-transition: all 0.3s linear;
  -ms-transition: all 0.3s linear;
}

.header-socail-links a {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  color: var(--white);
}

.header-socail-links span {
  transition: color 0.2s ease;
}

.header-socail-links a:hover span {
  text-decoration: underline;
}

/* --------------- Top Header End --------------- */
.mainheader {
  position: relative;
  left: 0;
  right: 0;
  width: 100%;
  -webkit-transition: 0.3s;
  -o-transition: 0.3s;
  transition: 0.3s;
  width: 100%;
  z-index: 10;
  background: var(--dark);
}

.mainheader .main-header-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

img.main-logo {
  max-width: 260px;
}

body:has(main.landing-page) .mainheader .main-header-container {
  min-height: 111px;
}

.main-header-container {
  & .btnlist {
    gap: 20px;
  }
}

.menu_link ul>li.hidden,
.togglebtn {
  display: none;
}

.menu_link ul {
  margin: 0;
}

.menu_link>nav>ul {
  font-size: 0;
  display: flex;
  flex-wrap: wrap;
  gap: 41px;
}

.menu_link nav>ul>li {
  display: inline-block;
  text-align: center;
  vertical-align: middle;
  position: relative;
  margin-bottom: 0;
}

.menu_link nav>ul>li>a {
  font-family: var(--font-ui);
  color: var(--white);
  font-weight: var(--font-weight-medium);
  font-size: 16px;
  line-height: 19px;
  padding: 46px 0;
  display: block;
  position: relative;
  z-index: 1;
  text-transform: capitalize;
  text-decoration: none;

  &:after {
    content: "";
    position: absolute;
    bottom: 35px;
    left: 0;
    width: 0;
    height: 2px;
    background: var(--primary);
    transition: all 0.5s linear;
    -webkit-transition: all 0.5s linear;
    -moz-transition: all 0.5s linear;
  }
}

.menu_link nav>ul>li.active>a,
.menu_link nav>ul>li>a:hover {
  color: var(--primary);
}

.menu_link .menudrop {
  font-size: 16px;
  padding-left: 5px;
  top: 1px;
  position: relative;
  line-height: 0;
  font-weight: var(--font-weight-regular);
}

.menu_link nav>ul>li.haschild:hover:after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  margin-inline: auto;
  bottom: 0;
  width: 0px;
  height: 0px;
  border-left: 12px solid transparent;
  border-right: 12px solid transparent;
  border-bottom: 18px solid var(--white);
}

.menu_link nav>ul>li.has-sub {
  position: relative;
}


/* **** MENU LEVAL ******* */

.menu_link .submenu {
  left: 0;
  position: absolute;
  top: 100%;
  width: 776px;
  text-align: left;
  border-radius: 2px;
  z-index: 10;
  background: var(--white);
  right: 0;
  margin: auto;
  opacity: 0;
  visibility: hidden;
  -webkit-transform: scaleY(0);
  transform: scaleY(0);
  transform-origin: 0 0;
  -webkit-transition: all 0.4s ease-in-out;
  transition: all 0.4s ease-in-out;
  padding: 0;
  box-shadow: 0 3px 10px hsl(0deg 0% 35% / 13%);
}

.menu_link .service-dropdown .submenu {
  left: calc(50% - 299px);
  min-width: 720px;
}

.menu_link li:hover>.submenu {
  opacity: 1;
  visibility: visible;
  -webkit-transform: scaleY(1);
  transform: scaleY(1);
}

.menu_link .submenu .sublink {
  margin-bottom: 0;
}

.menu-link li {
  margin-bottom: 10px;
}

.menu_link .submenu .sublink li {
  position: relative;
}

.menu-link li a {
  background-color: #EEEEEE;
  font-size: 16px;
  font-weight: 500;
  color: var(--primary);
  border-radius: 25px;
  padding: 12px 20px;
  display: flex;
  text-align: center;
  justify-content: center;
  line-height: 100%;
}

.menuoverlay {
  position: relative;
  transition: all 500ms linear;
  -webkit-transition: all 500ms linear;
}

.menuoverlay:before {
  content: '';
  position: absolute;
  top: 100px;
  left: 0;
  right: 0;
  height: calc(100% - 100px);
  width: 100%;
  z-index: 10;
  background-color: rgba(0, 0, 0, 0.8);
  margin: auto;
}

.service-btm-cta {
  padding: 30px;
  background: var(--gradient-cta-form);
  border-radius: 0 0 2px 2px;
  display: flex;
  justify-content: space-between;
  width: 100%;
  height: fit-content;

  & .serivce-content {
    .heading-30 {
      font-weight: 500;
      color: var(--white);
      text-align: center;
      margin-bottom: 20px;
    }

    .heading-20 {
      margin-bottom: 20px;
    }

    & .btnlist {
      gap: 10px;
      justify-content: center;

      button,
      .button,
      button[type="submit"],
      input[type="submit"] {
        padding: 10px 20px;
        min-height: 40px;
      }
    }
  }
}

/*STICKY HEADER*/
@-webkit-keyframes headfadeIn {
  0% {
    -webkit-transform: translate3d(0, -100%, 0);
    opacity: 0;
    transform: translate3d(0, -100%, 0)
  }

  to {
    -webkit-transform: translateZ(0);
    opacity: 1;
    transform: translateZ(0)
  }
}

@keyframes headfadeIn {
  0% {
    -webkit-transform: translate3d(0, -100%, 0);
    opacity: 0;
    transform: translate3d(0, -100%, 0)
  }

  to {
    -webkit-transform: translateZ(0);
    opacity: 1;
    transform: translateZ(0)
  }
}

.headfadeIn {
  -webkit-animation-name: headfadeIn;
  animation-name: headfadeIn
}

.fixed-header header {
  position: fixed !important;
  box-shadow: 0px 0px 15px 0px rgb(0 0 0 / 23%);
  -moz-box-shadow: 0px 0px 15px 0px rgb(0 0 0 / 23%);
  -webkit-box-shadow: 0px 0px 15px 0px rgb(0 0 0 / 23%);
  -webkit-animation-duration: 0.7s;
  -webkit-animation-name: headfadeIn;
  animation-name: headfadeIn;
  animation-duration: 0.7s;
  /* background: var(--white); */
  width: 100%;
  top: 0;
  z-index: 11;
  width: 100%;
}

.menu_link nav>ul>li>a:hover:after,
.menu_link nav>ul>li.active>a::after,
.submenu ul>li:hover>a::after,
.submenu ul>li.active>a:after

/* .submenu.megamenu .menu-level-1>ul ul li:hover a,
.submenu.megamenu .menu-level-1>ul ul li.active a */
  {
  width: 100%;
}

/* ********** || THIRD LEVEL MENU || ********** */
.service-title-wrap {
  position: absolute;
  top: 30px;
  left: 40px;
  background: #fff;
  padding: 12px 15px;
  border-radius: 3px;
  width: 100%;
  max-width: 270px;
  border-left: 4px solid var(--black);
  box-shadow: 0px 2px 2px #0000001A;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.sr-title {
  font-weight: bold;
  font-size: 20px;
  line-height: 16px;
  font-family: var(--font-ui);
  color: var(--headingtext);
  text-transform: uppercase;
  margin-top: 5px;
}

.main-menu .areas_menu .submenu .service-list-wraper {
  width: 100%;
  background: var(--color-card-border);
  padding: 30px;
  max-width: 315px;
  min-height: 324px;
  row-gap: 0;
  border-right: 1px solid rgb(0 0 0 / 10%);

  & ul.services-list-header {
    padding: 0;
    display: block;

    &>li {
      background: unset;

      &>a {
        padding: 10px 0;
        line-height: 1.2;
        font-size: 18px;
        color: var(--color-bg-dark);
        font-weight: 500;
        text-transform: capitalize;
        text-decoration: none;
        width: 100%;
      }
    }
  }
}

.main-menu .areas_menu .submenu ul.services-list-header>li.menu-item-hover a {
  color: var(--secondary);

  .menudrop {
    color: var(--secondary);
  }
}

ul.services-list-header {
  list-style: none;
  display: inline-flex;
  width: 100%;
  background: transparent;
  padding: 0;
  max-width: 100%;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 40px;
  gap: 20px;
}

.main-menu .submenu ul.services-list-header>li {
  display: inline-flex;
  width: calc(50% - 10px);
  padding: 0 0;
  flex-direction: column;
  justify-content: center;
  background: #fff;
  margin-bottom: 0;
}

.main-menu .areas_menu .submenu ul.services-list-header>li {
  width: 100%;
  flex: 1;
}

.main-menu .submenu ul.services-list-header>li>a {
  position: relative;
  z-index: 0;
  line-height: 0;
  display: flex;
  gap: 15px;
  align-items: center;
  text-decoration: none;

  &>.img-wrap {
    position: relative;
    overflow: hidden;
    max-width: 52px;
    margin: 3px;

    img {
      border-radius: 2px;
    }

    &::after {
      content: '';
      position: absolute;
      inset: 0;
      height: 100%;
      width: 100%;
      background: rgb(4, 112, 174, 30%);
      opacity: 0;
      transition: all 0.5s ease-in-out;
      -webkit-transition: all 0.5s ease-in-out;
      -ms-transition: all 0.5s ease-in-out;
    }
  }

  & .service-title {
    font-family: var(--font-ui);
    font-size: 16px;
    font-weight: 500;
    line-height: 1.5;
    color: var(--text-primary);
    text-transform: capitalize;
    margin-bottom: 0;
    transition: all 0.5s ease-in-out;
    -webkit-transition: all 0.5s ease-in-out;
    -ms-transition: all 0.5s ease-in-out;
  }
}

.main-menu .service-dropdown .submenu ul.services-list-header>li>a {
  border: 1px solid var(--text-accent);
}

.main-menu .service-dropdown .submenu ul.services-list-header>li.active>a,
.main-menu .service-dropdown .submenu ul.services-list-header>li>a:hover {
  &>.img-wrap {

    &::after {
      opacity: 1;
    }
  }

  & .service-title {
    color: var(--secondary);
  }
}

/* ----------------- Area Simple Drop Down ----------------- */
li.areas_menu>.submenu {
  width: 886px;
  padding: 0;
  left: calc(50% - 440px);
  border-radius: 10px;
  min-height: 430px;
  background-color: var(--white);

  .areamenu-inner-wrap {
    padding: 50px;
  }
}

.area-list-title {
  font-size: clamp(20px, 20px + (28 - 20) * ((100vw - 575px) / (1920 - 575)), 28px);
  font-weight: 700;
  line-height: 1.1;
  margin-bottom: 20px;
  color: var(--black);
}

.main-menu .submenu ul.areas-list-header {
  display: flex;
  flex-wrap: wrap;
  gap: 25px;
  row-gap: 10px;

  li {
    width: calc(20% - 20px);
    margin-bottom: 0;

    a {
      font-family: var(--font-ui);
      font-weight: 600;
      font-size: 18px;
      line-height: 28px;
      color: var(--black);


    }
  }
}

ul.main-menu .submenu.menu_level2 {
  width: calc(886px - 315px);
  left: 315px;
  right: unset;
  top: 0;
  display: flex;
  flex-wrap: wrap;
  background: transparent;
  box-shadow: none;
  transform: none;
  display: none;
  border: 0;
  margin: 0px;
}

ul.main-menu ul.services-list-header li>.submenu.menu_level2 {
  padding: 0px 8px 0px 40px;
  margin-top: 30px;
}

ul.main-menu ul.services-list-header li.menu-item-hover>.submenu.menu_level2 {
  opacity: 1;
  visibility: visible;
  -webkit-transform: scaleY(1);
  transform: none;
  display: inline-block;
  background-color: transparent;
  box-shadow: none;
  max-width: 570px;
  display: flex;
  flex-wrap: wrap;
  column-gap: 24px;

  & li {
    margin-bottom: 5px;
    width: calc(50% - 12px);
    list-style-type: none;

    >a {
      font-family: var(--font-ui);
      font-weight: 500;
      font-size: 16px;
      line-height: 1.4;
      color: var(--text-primary);
      text-decoration: none;
      text-transform: capitalize;
    }
  }
}

.service-context-wrap {
  max-height: 200px;
  overflow-y: auto;
  margin-bottom: 15px;

  & p {
    font-size: 16px;
    line-height: 22px;
    font-family: var(--font-ui);
    color: var(--darkgrey);
  }
}

ul.main-menu ul.services-list-header li>.submenu.menu_level2>li>a {
  font: normal normal 600 16px / 18px var(--sitefonts);
  letter-spacing: 0px;
  color: var(--black);
  padding: 0;
}

ul.main-menu ul.services-list-header li>.submenu.menu_level2>li:hover>a,
ul.main-menu ul.services-list-header li>.submenu.menu_level2>li.menu-item-hover>a,
ul.main-menu ul.services-list-header li>.submenu.menu_level2>li.active>a {
  color: var(--secondary);
}

ul.main-menu li.areas_menu ul.services-list-header li>.submenu.menu_level2 {
  max-height: 294px;
  overflow: hidden;
  overflow-y: auto;
}

ul.main-menu .submenu .fa-angle-down.menudrop {
  position: absolute;
  width: 22px;
  height: 22px;
  background: transparent;
  color: var(--text-primary);
  border-radius: 100%;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  font-size: 20px;
  text-align: center;
  padding: 0;
  line-height: 22px;
  transform-origin: center;
  transform: rotate(270deg);
  transition: all 0.3s linear;
  -webkit-transition: all 0.3s linear;
}

.areas_menu>.submenu * {
  scrollbar-width: thin;
  scrollbar-color: var(--grey) #e9e9e9;
}

.submenu.megamenu>.menu-level1 {
  width: 300px;
  margin: initial;
  padding: 35px 0 35px 30px;
  justify-content: flex-start;
  flex-direction: column;
  min-height: 550px;
}

.menu_link .submenu .sublink li a {
  font-family: var(--font-ui);
  color: var(--black);
  font-size: 16px;
  font-weight: 600;
  letter-spacing: 0px;
  line-height: 1.3;
}

.menu_link .submenu .sublink li:hover a {
  color: var(--darkblue);
}

.menu_link .submenu.megamenu>.sublink {
  width: 450px;
  padding: 30px;
  display: flex;
  flex-wrap: wrap;
  column-gap: 30px;
}

.menu_link .submenu.megamenu>.sublink li {
  width: calc(50% - 15px);
}

.menu_link .submenu.megamenu .sublink.menu-level1>li {
  padding-right: 30px;
}

li.menu-item-hover .submenu.menu-level2 {
  opacity: 1;
  visibility: visible;
}

.submenu.menu-level2 {
  left: 300px;
  opacity: 0;
  visibility: hidden;
  top: 0%;
  background: #F8F8F8;
  width: calc(100% - 300px);
  transform: none;
  -webkit-transform: none;
  -ms-transform: none;
  box-shadow: none;
  padding: 0;
  height: 100%;
  padding: 32px 0 0;
  border-radius: 8px;
  border: 5px solid #fff;
}

.menu-info {
  font-weight: 500;
  line-height: 24px;
  margin-bottom: 15px;
  color: #ddd;
  padding: 0 50px;
  font-family: var(--font-ui);
}

.menu_link .submenu .submenu.menu-level2 ul {
  padding: 0 40px 30px 50px;
  column-count: 3;
}

.menu_link .submenu .submenu.menu-level2 li a {
  font-size: 15px;
  padding: 5px 0 5px 12px !important;
  line-height: 18px;
  color: #ddd;
  font-weight: 500;
}

.menu_link .submenu .submenu.menu-level2 li a:before {
  content: "\f0da ";
  position: absolute;
  top: 5px;
  left: 0;
  font-family: "FontAwesome";
  font-size: 12px;
}

.menu_link .submenu.megamenu .sublink.menu-level1>li>a {
  padding: 10px 10px 10px 20px;
  border-radius: 5px;
}

.menu_link .submenu.megamenu .sublink.menu-level1>li>a i.menudrop {
  display: none;
}

/* ************ || Dropdown || *************/

.service_text_wrap {
  width: 100%;
}

.service_text {
  font-size: clamp(20px, 20px + (26 - 20) * ((100vw - 375px) / (1920 - 375)), 26px);
  line-height: 1.2;
  font-family: var(--font-heading);
  font-weight: 600;
  letter-spacing: 0px;
  display: block;
  color: var(--text-primary);
  text-transform: capitalize;
  margin-bottom: 15px;
}

.service-dropdown ul.submenu.sublink {

  & li {
    width: 100%;
    background: var(--white);
    border-bottom: 1px solid #c9c9c9;
    border-radius: 0;
    padding: 0 0 6px 0;
    margin: 0 0 10px 0;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;

    & a {
      font-family: var(--font-ui);
      font-size: 16px;
      line-height: 1.3;
      font-weight: 600;
      letter-spacing: 0px;
      padding: 0;
      color: var(--black);
      transition: all 0.3s ease-in-out;
      -webkit-transition: all 0.3s ease-in-out;
      -ms-transition: all 0.3s ease-in-out;
    }

    &:hover,
    &.active {
      & a {
        color: var(--grey);
      }
    }

    &:last-child {
      border-bottom: 0;
      padding: 0;
      margin: 0;
    }
  }
}

.action-callbtn {
  display: flex;
  align-items: center;

  & .call-icon {
    img {
      transition: all 0.5s ease-in-out;
      -webkit-transition: all 0.5s ease-in-out;
      -ms-transition: all 0.5s ease-in-out;
    }
  }

  & .call-info {
    padding-left: 10px;

    & p {
      font-family: var(--font-ui);
      font-size: clamp(12px, 12px + (18 - 12) * ((100vw - 575px) / (1920 - 575)), 18px);
      font-weight: 700;
      line-height: 1.2;
      letter-spacing: 0px;
      margin-bottom: 0;
      color: var(--text-primary);
      transition: all 0.5s ease-in-out;
      -webkit-transition: all 0.5s ease-in-out;
      -ms-transition: all 0.5s ease-in-out;

      span {
        color: unset;
      }
    }
  }
}

.action-callbtn:hover {
  & .call-icon {
    img {
      filter: brightness(0) saturate(100%) invert(21%) sepia(92%) saturate(2064%) hue-rotate(183deg) brightness(107%) contrast(97%);
    }
  }

  & .call-info {
    & p {
      span {
        color: var(--secondary);
      }
    }
  }
}

/* ****************| START MEDIA QUERY |******************/

@media (max-width: 1799.98px) {}

@media (max-width: 1599.99px) {

  .menu_link>nav>ul {
    gap: 22px;
  }

  ul.services-list-header {
    padding: 30px;
    gap: 20px;
  }

  img.main-logo {
    max-width: 180px;
  }

  /* ********** || THIRD LEVEL MENU || ********** */
  /* li.areas_menu>.submenu {
        left: calc(50% - 590px);
    } */

  /* --------- Areas Menu ------------ */
  li.areas_menu>.submenu {
    .areamenu-inner-wrap {
      padding: 35px;
    }
  }



}

@media (max-width: 1439.98px) {

  .main-header-container {
    img.main-logo {
      max-width: 150px;
    }

    & .btnlist {
      gap: 10px;
    }
  }

  .menu_link>nav>ul {
    gap: 12px;
  }

  .mainheader {
    & .main-header-container {
      & .btnlist {
        gap: 10px;

        & .button {
          font-size: 16px;
          padding: 15px 18px;
        }
      }
    }
  }

  .menu_link nav>ul>li>a {
    font-size: 14px;
    padding: 25px 0;
  }

  .menu_link nav>ul>li>a {
    &:after {
      bottom: 15px;
    }
  }

  .fixed-header .menu_link nav {
    &>ul {
      &>li {
        >a {
          padding: 25px 0;

          &:after {
            bottom: 22px;
          }
        }
      }
    }
  }

  ul.services-list-header {
    padding: 25px;
    gap: 15px;
  }

  .menu_link .service-dropdown .submenu {
    min-width: 800px;
  }

  .menuoverlay:before {
    top: 79px;
    height: calc(100% - 79px);
  }

  .action-callbtn {
    & .call-info {
      padding-left: 8px;
    }

    & .call-icon {
      img {
        width: 15px;
      }
    }
  }

  .topheader {
    padding-block: 7px;
  }

  .topheader :is(p, a, address) {
    font-size: 14px;
  }

  .header-socail-links a img {
    width: 15px;
  }

  /* ----------------Area Menu ---------------- */

  .main-menu .submenu ul.areas-list-header {
    li {
      width: calc(25% - 19px);

      a {
        line-height: 24px;
      }
    }
  }
}

@media (max-width: 1199.98px) {
  .main-header-container {
    img.main-logo {
      max-width: 145px;
    }
  }

  .mainheader {
    .container {
      max-width: 100%;
    }

    & .main-header-container {
      & .btnlist {
        gap: 8px;
        margin-right: 40px;

        & .action-callbtn {
          & .call-icon {
            img {
              width: 14px;
              height: 14px;
            }
          }
        }

        .button {
          font-size: 14px;
        }
      }
    }
  }

  .menu_link .menudrop {
    font-size: 16px;
    padding-left: 4px;
    font-weight: 500;
  }

  .menu_link nav>ul>li.haschild:hover:after {
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 14px solid var(--white);
  }

  /* ----------------- TOGGLE CSS ---------------- */
  html.menuhidden {
    overflow-y: hidden;
  }

  .overlay {
    position: fixed;
    top: 107px;
    right: 0;
    width: 100%;
    height: calc(100% - 107px);
    background-color: rgba(0, 0, 0, 0.95);
    cursor: pointer;
    z-index: 11;
    display: none;
  }

  .togglebtn span {
    position: relative;
    display: inline-block;
    vertical-align: top;
    left: 0;
  }

  .togglebtn span::before {
    top: 9px;
  }

  .togglebtn span::after {
    top: 18px;
  }

  .togglebtn span::before,
  .togglebtn span::after {
    content: "";
    position: absolute;
    left: 0;
  }

  .togglebtn span,
  .togglebtn span::before,
  .togglebtn span::after {
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    height: 3px;
    border-radius: 2px;
  }

  .togglebtn span::before,
  .togglebtn span::after,
  .togglebtn span {
    width: 25px;
  }

  .togglebtn {
    position: fixed;
    right: 15px;
    top: 55px;
    display: block;
    text-align: center;
    width: 25px;
    height: 34px;
    cursor: pointer;
    z-index: 100;
    padding: 6px 0px;
    border: 0px;
    border-radius: 0;
    font-size: 14px;
    font-weight: 600;
    text-transform: uppercase;
    background: transparent;
  }

  .togglebtn.active {
    top: 55px;
  }

  .togglebtn.active span::before {
    top: 8px;
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
    -moz-transform: rotate(-135deg);
    -o-transform: rotate(-135deg);
    -ms-transform: rotate(-135deg);
  }

  .togglebtn.active span::after {
    top: 8px;
    -webkit-transition-delay: 0.09s;
    -moz-transition-delay: 0.09s;
    -o-transition-delay: 0.09s;
    -ms-transition-delay: 0.09s;
    transition-delay: 0.09s;
    transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
    -moz-transform: rotate(135deg);
    -o-transform: rotate(135deg);
    -ms-transform: rotate(135deg);
  }

  .togglebtn.active span {
    background: transparent;
  }

  .togglebtn.active:before {
    content: none;
  }

  .togglebtn span,
  .togglebtn span::before,
  .togglebtn span::after {
    background-color: var(--primary);
  }

  /* ------------ MENU LINK ---------------- */

  .menu_link>nav>ul {
    gap: unset;
  }

  .menu_link {
    position: fixed;
    top: 109px;
    height: calc(100% - 109px);
    bottom: 0;
    left: 0px;
    width: 450px;
    z-index: 1000;
    float: none;
    background-color: var(--dark_blue);
    margin: 0;
    overflow-y: auto;
    -webkit-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    -o-transform: translateX(-100%);
    transform: translateX(-100%);
    -webkit-transition: all 0.6s ease;
    -o-transition: all 0.6s ease;
    transition: all 0.6s ease;
    max-width: 100%;
    overflow-y: auto;
    display: flex;
    flex-wrap: wrap;
  }

  .menu_link.active {
    transform: translateX(0%);
    -webkit-transform: translateX(0%);
  }

  .menu_link>nav {
    padding: 15px;
    width: 100%;
  }

  .menu_link nav>ul>li>a {
    font-size: 16px;
  }

  .menu_link ul>li.hidden {
    display: block;
  }

  .menu_link nav>ul>li {
    display: block;
    text-align: left;
    width: 100%;
    height: auto;
    margin: 0;
    margin-left: 0px;
    padding: 0;
    border-bottom: 1px solid hsl(0deg 0% 100% / 8%);
  }

  .menu_link nav>ul>li.isopen .menudrop {
    transform: rotate(180deg);
  }

  .menu_link .menudrop {
    display: block;
    top: 0;
    font-size: 16px;
    height: 30px;
    width: 30px;
    border-radius: 0;
    line-height: 1;
    right: 0;
    bottom: 0;
    margin: auto;
    position: absolute;
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    transform-origin: center;
    transition: all 0.5s ease-in-out;
    -webkit-transition: all 0.5s ease-in-out;
    -ms-transition: all 0.5s ease-in-out;
  }

  .menu_link nav>ul>li .menudrop {
    text-align: center;
    position: absolute;
    top: 0px;
    padding-left: 0;
  }

  .menu_link .menudrop.openedmenu {
    transform: rotate(180deg);
  }

  .menu_link .submenu {
    position: static;
    box-shadow: none;
    background-color: unset;
    height: auto;
    display: none;
    opacity: unset;
    visibility: inherit;
    transform: none;
    width: 100%;
    min-width: auto;
    max-width: 100%;
    border: 0;
    border-radius: 0;
  }

  .menu_link li:hover .submenu {
    transform: none;
    visibility: inherit;
    opacity: unset;
    pointer-events: inherit;
    display: none;
  }

  .submenu .menu-cta {
    display: none;
  }

  .areas-dropdown .submenu.megamenu .sublink li {
    width: 100%;
  }

  .menu_link nav>ul>li>a:after {
    content: none;
  }

  .menu_link nav>ul>li>a {
    padding: 12px 0;
    color: var(--white);
  }

  .fixed-header .menu_link nav>ul>li>a {
    padding: 12px 0;
  }

  .menu_link nav>ul>li>a:hover,
  .menu_link nav>ul>li.active>a,
  .submenu ul>li:hover>a,
  .submenu ul>li.active>a {
    color: var(--primary);
  }

  .mainheader .main-header-container {
    padding-block: 15px;
  }

  /* -----------------Serice Menu ------------------ */
  .service-dropdown ul.submenu.sublink {
    padding: 15px;
    gap: 12px;

    & li {
      width: 100%;
    }
  }

  .menu_link .submenu .sublink li a {
    font-size: 16px;
  }

  .service_text_wrap {
    display: none;
  }

  ul.services-list-header {
    padding: 10px;
    display: block;
    background: var(--color-card-border);
  }

  .main-menu .submenu ul.services-list-header>li {
    background: unset;
  }

  .main-menu .submenu ul.services-list-header>li>a {
    padding: 0px 0px 8px 0;

    &>.img-wrap {
      display: none;
    }

    & .service-title {
      position: relative;
      bottom: unset;
      left: unset;
      right: unset;
      background: unset;
      border-radius: unset;
      padding: 0;
      width: unset;
      margin-inline: unset;
      color: var(--text-primary);
      line-height: 1.1;
    }
  }

  .menu_link .service-dropdown .submenu {
    min-width: unset;
  }

  ul.main-menu .submenu ul.services-list-header>li.isopen {
    padding-bottom: 8px;
    border-bottom: 1px solid #DCDCDC;
    border-radius: 0;
  }

  ul.main-menu .submenu ul.services-list-header>li ul.menu_level2 {
    margin-top: 10px;
  }

  ul.main-menu li.areas_menu ul.services-list-header li.menu-item-hover>.submenu.menu_level2 {
    max-height: unset;
    overflow: unset;
    overflow-y: unset;
    max-width: 100%;

    & li {
      margin-bottom: 8px;
    }
  }

  ul.main-menu ul.services-list-header li>.submenu.menu_level2 {
    padding: unset;
    margin-top: 0;

    & li:last-child {
      margin-bottom: 0;
    }
  }

  .service-context-wrap {
    margin-bottom: 5px;
  }

  .main-menu .areas_menu .submenu .service-list-wraper {
    padding: 10px;
    max-width: 100%;
    min-height: auto;
    border-right: none;

    & ul.services-list-header {
      &>li {
        &>a {
          padding: 0;
          line-height: 1;
          font-size: 16px;
        }
      }
    }
  }

  ul.main-menu .submenu .fa-angle-down.menudrop {
    width: 20px;
    height: 20px;
  }

  /* ******** THIRD LEVEL ********  */
  .menu_link .submenu.megamenu>.sublink {
    width: 100%;
    min-height: auto;
    padding: 0;
  }

  .menu_link .submenu.megamenu .sublink.menu-level1>li {
    padding-right: 0;
  }

  .areas-dropdown .submenu.megamenu {
    width: 100%;
    padding: 20px;
  }

  .menu_link .submenu.megamenu .sublink.menu-level1>li>a i.menudrop {
    display: block;
    position: absolute;
    font-size: 20px;
    top: -30px;
    line-height: 20px;
    transform: rotate(-90deg);
    height: 30px;
    width: 30px;
    text-align: center;
    padding: 7px;
  }

  .submenu.menu-level2 {
    padding: 0;
    background-color: var(--white);
    padding: 10px;
  }

  .menu-info {
    display: none
  }

  .menu_link .submenu .submenu.menu-level2 ul {
    padding: 0;
    column-count: 2;
  }

  .menu_link .submenu.megamenu .sublink.menu-level1>li.menu-item-hover>a,
  .menu_link .submenu.megamenu .sublink.menu-level1>li>a {
    background: #F8F8F8;
  }

  .menu_link .submenu.megamenu .sublink.menu-level1>li>a {
    padding: 10px 30px 10px 20px;
  }

  .menu_link nav>ul>li.haschild:hover:after {
    content: none;
  }

  .service-btm-cta {
    display: none;
  }

  .main-menu .submenu ul.services-list-header>li {
    width: 100%;
    justify-content: unset;
  }

  .main-menu .submenu ul.services-list-header>li:not(:last-child) {
    margin-bottom: 12px;
  }

  .areas-dropdown .submenu.megamenu .sublink li:first-child {
    width: calc(50% - 15px);
    padding-left: 15px;
  }

  li.areas_menu>.submenu {
    min-width: 100%;
    min-height: auto;
    background-color: unset;

    .areamenu-inner-wrap {
      padding: 0 0 15px 0;

      .area-list-title {
        display: none;
      }
    }
  }

  .main-menu .submenu ul.areas-list-header {
    gap: 20px;
    row-gap: 10px;

    li {
      width: calc(50% - 10px);

      a {
        font-size: 16px;
        line-height: 1.3;
        color: var(--white);
      }
    }
  }

  .main-menu .service-dropdown .submenu ul.services-list-header>li>a {
    border: none;
    border-bottom: 1px solid rgb(56 182 255 / 30%);
    width: 100%;
  }

  .main-menu .service-dropdown .submenu ul.services-list-header>li:last-child>a {
    border-bottom: none;
    padding-bottom: 0;
  }

  ul.main-menu ul.services-list-header li.menu-item-hover>.submenu.menu_level2 {
    & li {
      margin-bottom: 4px;

      >a {
        font-size: 15px;
        line-height: 1.2;
      }
    }
  }

}

@media (max-width: 991.98px) {}

@media (max-width: 767.98px) {

  img.main-logo {
    max-width: 90px;
  }

  .mainheader .main-header-container {
    padding-block: 6px;

    & .btnlist {
      & .button {
        padding: 12px;
        min-width: auto;
      }
    }
  }

  .togglebtn {
    top: 42px;
  }

  .togglebtn.active {
    top: 42px;
  }

  .main-header-container {
    & .btnlist {
      margin-right: 35px;
    }
  }

  .overlay,
  .menu_link {
    top: 83px;
    height: calc(100% - 83px);
  }

  .topheader :is(p, a, address) {
    font-size: 12px;
    font-weight: 500;
  }

  .topheader p:not(:last-of-type) {
    margin-right: 8px;
    padding-right: 8px;
  }

  .header-socail-links a img {
    width: 14px;
  }

  .topheader :is(p, a, address) img {
    margin-right: 8px;
  }
}

@media (max-width: 575.99px) {

  .togglebtn {
    position: absolute;
    top: 75px;
  }

  .togglebtn.active {
    top: 75px;
  }

  .overlay,
  .menu_link {
    top: 115px;
    height: calc(100% - 115px);
    width: 100%;
  }

  .mainheader {
    padding-top: 40px;
  }

  .mainheader {
    .main-header-container .btnlist {
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      gap: 0;
      margin-right: 0;

      & .button {
        font-size: 14px;
      }

      & [class*="button-"] {
        width: 50%;
        border-radius: 0;
        border: none;
        font-size: 14px;
        min-height: 40px;
        border: 1px solid var(--gradient-cta-form);
      }

      .action-callbtn {
        width: 50%;
        justify-content: center;
        border: 1px solid var(--white);
        min-height: 40px;
        background: var(--color-bg-white);

        & .call-info {
          & p {
            font-size: 14px;
          }
        }
      }
    }
  }

  .fixed-header .mainheader {
    .main-header-container .btnlist {
      .btn-white {
        border-bottom: 1px solid var(--white);
      }

      .action-callbtn {
        border: 1px solid var(--white);
      }
    }
  }

  ul.main-menu li.areas_menu ul.services-list-header li.menu-item-hover>.submenu.menu_level2 {
    & li {
      margin-bottom: 5px;
    }
  }

  .topheader {
    padding-block: 4px;

    .flex-container.justify-content-between {
      justify-content: center !important;
    }
  }

  .topheader :is(p, a, address) {
    font-size: 10px;
    font-weight: 400;
  }

  .header-socail-links {
    display: none;
  }
}


@media (max-width: 479.98px) {

  .main-header-container {
    img.main-logo {
      max-width: 160px;
    }
  }
}